Installationsprobleme auf einem VDR

Help
Thomas
2007-01-15
2013-04-25
  • Thomas

    Thomas - 2007-01-15

    Hallo,

    leider kann ich die fuppes-Software auf einem VideoDiskRecorder nicht installieren. Die Distribution ist eine aktuelle ct-vdr Version 5.0 auf Basis von debian.

    Habe es schon mehrfach probiert, doch leider komme ich über das ./configure nicht hinaus. Eigentlich sollte ich alle notwendigen Pakete installiert haben.

    Hier der Inhalt der config.log:

    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.

    It was created by configure, which was
    generated by GNU Autoconf 2.60.  Invocation command line was

      $ ./configure

    ## --------- ##
    ## Platform. ##
    ## --------- ##

    hostname = video
    uname -m = i686
    uname -r = 2.6.16-ct-1
    uname -s = Linux
    uname -v = #1 Thu Apr 27 18:55:17 UTC 2006

    /usr/bin/uname -p = unknown
    /bin/uname -X     = unknown

    /bin/arch              = i686
    /usr/bin/arch -k       = unknown
    /usr/convex/getsysinfo = unknown
    /usr/bin/hostinfo      = unknown
    /bin/machine           = unknown
    /usr/bin/oslevel       = unknown
    /bin/universe          = unknown

    PATH: /usr/local/sbin
    PATH: /usr/local/bin
    PATH: /usr/sbin
    PATH: /usr/bin
    PATH: /sbin
    PATH: /bin
    PATH: /usr/bin/X11

    ## ----------- ##
    ## Core tests. ##
    ## ----------- ##

    configure:1790: checking for a BSD-compatible install
    configure:1846: result: /usr/bin/install -c
    configure:1857: checking whether build environment is sane
    configure:1900: result: yes
    configure:1965: checking for gawk
    configure:1995: result: no
    configure:1965: checking for mawk
    configure:1981: found /usr/bin/mawk
    configure:1992: result: mawk
    configure:2003: checking whether make sets $(MAKE)
    configure:2028: result: no
    configure:2260: checking for g++
    configure:2276: found /usr/bin/g++
    configure:2287: result: g++
    configure:2318: checking for C++ compiler version
    configure:2325: g++ --version >&5
    g++ (GCC) 3.3.5 (Debian 1:3.3.5-13)
    Copyright (C) 2003 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:2328: $? = 0
    configure:2335: g++ -v >&5
    Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.5/specs
    Configured with: ../src/configure -v --enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --enable-__cxa_atexit --with-system-zlib --enable-nls --without-included-gettext --enable-clocale=gnu --enable-debug --enable-java-gc=boehm --enable-java-awt=xlib --enable-objc-gc i486-linux
    Thread model: posix
    gcc version 3.3.5 (Debian 1:3.3.5-13)
    configure:2338: $? = 0
    configure:2345: g++ -V >&5
    g++: `-V' option must have argument
    configure:2348: $? = 1
    configure:2371: checking for C++ compiler default output file name
    configure:2398: g++    conftest.cpp  >&5
    configure:2401: $? = 0
    configure:2447: result: a.out
    configure:2452: checking whether the C++ compiler works
    configure:2462: ./a.out
    configure:2465: $? = 0
    configure:2482: result: yes
    configure:2489: checking whether we are cross compiling
    configure:2491: result: no
    configure:2494: checking for suffix of executables
    configure:2501: g++ -o conftest    conftest.cpp  >&5
    configure:2504: $? = 0
    configure:2528: result:
    configure:2534: checking for suffix of object files
    configure:2560: g++ -c   conftest.cpp >&5
    configure:2563: $? = 0
    configure:2586: result: o
    configure:2590: checking whether we are using the GNU C++ compiler
    configure:2619: g++ -c   conftest.cpp >&5
    configure:2625: $? = 0
    configure:2632: test -z "$ac_cxx_werror_flag" || test ! -s conftest.err
    configure:2635: $? = 0
    configure:2642: test -s conftest.o
    configure:2645: $? = 0
    configure:2659: result: yes
    configure:2664: checking whether g++ accepts -g
    configure:2694: g++ -c -g  conftest.cpp >&5
    configure:2700: $? = 0
    configure:2707: test -z "$ac_cxx_werror_flag" || test ! -s conftest.err
    configure:2710: $? = 0
    configure:2717: test -s conftest.o
    configure:2720: $? = 0
    configure:2850: result: yes
    configure:2884: checking for style of include used by make
    configure:2912: result: none
    configure:2940: checking dependency style of g++
    configure:3030: result: none
    configure:3095: checking for gcc
    configure:3111: found /usr/bin/gcc
    configure:3122: result: gcc
    configure:3360: checking for C compiler version
    configure:3367: gcc --version >&5
    gcc (GCC) 3.3.5 (Debian 1:3.3.5-13)
    Copyright (C) 2003 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    configure:3370: $? = 0
    configure:3377: gcc -v >&5
    Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.5/specs
    Configured with: ../src/configure -v --enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --enable-__cxa_atexit --with-system-zlib --enable-nls --without-included-gettext --enable-clocale=gnu --enable-debug --enable-java-gc=boehm --enable-java-awt=xlib --enable-objc-gc i486-linux
    Thread model: posix
    gcc version 3.3.5 (Debian 1:3.3.5-13)
    configure:3380: $? = 0
    configure:3387: gcc -V >&5
    gcc: `-V' option must have argument
    configure:3390: $? = 1
    configure:3393: checking whether we are using the GNU C compiler
    configure:3422: gcc -c   conftest.c >&5
    configure:3428: $? = 0
    configure:3435: test -z "$ac_c_werror_flag" || test ! -s conftest.err
    configure:3438: $? = 0
    configure:3445: test -s conftest.o
    configure:3448: $? = 0
    configure:3462: result: yes
    configure:3467: checking whether gcc accepts -g
    configure:3497: gcc -c -g  conftest.c >&5
    configure:3503: $? = 0
    configure:3510: test -z "$ac_c_werror_flag" || test ! -s conftest.err
    configure:3513: $? = 0
    configure:3520: test -s conftest.o
    configure:3523: $? = 0
    configure:3653: result: yes
    configure:3670: checking for gcc option to accept ISO C89
    configure:3744: gcc  -c -g -O2  conftest.c >&5
    configure:3750: $? = 0
    configure:3757: test -z "$ac_c_werror_flag" || test ! -s conftest.err
    configure:3760: $? = 0
    configure:3767: test -s conftest.o
    configure:3770: $? = 0
    configure:3790: result: none needed
    configure:3810: checking dependency style of gcc
    configure:3900: result: none
    configure:3946: checking for pkg-config
    configure:3964: found /usr/bin/pkg-config
    configure:3977: result: /usr/bin/pkg-config
    configure:3995: checking for libpcre >= 5.0
    configure:4017: result: no
    configure:4034: error: Library requirements (libpcre >= 5.0) not met; consider
    adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a
    nonstandard prefix so pkg-config can find them.

    ## ---------------- ##
    ## Cache variables. ##
    ## ---------------- ##

    ac_cv_c_compiler_gnu=yes
    ac_cv_cxx_compiler_gnu=yes
    ac_cv_env_CCC_set=
    ac_cv_env_CCC_value=
    ac_cv_env_CC_set=
    ac_cv_env_CC_value=
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CXXCPP_set=
    ac_cv_env_CXXCPP_value=
    ac_cv_env_CXXFLAGS_set=
    ac_cv_env_CXXFLAGS_value=
    ac_cv_env_CXX_set=
    ac_cv_env_CXX_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_objext=o
    ac_cv_path_PKG_CONFIG=/usr/bin/pkg-config
    ac_cv_path_install='/usr/bin/install -c'
    ac_cv_prog_AWK=mawk
    ac_cv_prog_ac_ct_CC=gcc
    ac_cv_prog_ac_ct_CXX=g++
    ac_cv_prog_cc_c89=
    ac_cv_prog_cc_g=yes
    ac_cv_prog_cxx_g=yes
    ac_cv_prog_make_make_set=no
    am_cv_CC_dependencies_compiler_type=none
    am_cv_CXX_dependencies_compiler_type=none

    ## ----------------- ##
    ## Output variables. ##
    ## ----------------- ##

    ACLOCAL='${SHELL} /var/lib/fuppes-0.5.4/missing --run aclocal-1.9'
    AMDEPBACKSLASH='\'
    AMDEP_FALSE='#'
    AMDEP_TRUE=''
    AMTAR='${SHELL} /var/lib/fuppes-0.5.4/missing --run tar'
    AUTOCONF='${SHELL} /var/lib/fuppes-0.5.4/missing --run autoconf'
    AUTOHEADER='${SHELL} /var/lib/fuppes-0.5.4/missing --run autoheader'
    AUTOMAKE='${SHELL} /var/lib/fuppes-0.5.4/missing --run automake-1.9'
    AWK='mawk'
    CC='gcc'
    CCDEPMODE='depmode=none'
    CFLAGS='-g -O2'
    CPPFLAGS=''
    CXX='g++'
    CXXCPP=''
    CXXDEPMODE='depmode=none'
    CXXFLAGS='-g -O2'
    CYGPATH_W='echo'
    DEFS=''
    DEPDIR='.deps'
    DISABLE_TRANSCODING_FALSE=''
    DISABLE_TRANSCODING_TRUE=''
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP=''
    EXEEXT=''
    FLAC_LIBS=''
    FUPPES_LIBS='-ldl '
    GENERIC_MAJOR_VERSION='0'
    GENERIC_MICRO_VERSION='4'
    GENERIC_MINOR_VERSION='5'
    GENERIC_VERSION='0.5.4'
    GREP=''
    INSTALL_DATA='${INSTALL} -m 644'
    INSTALL_PROGRAM='${INSTALL}'
    INSTALL_SCRIPT='${INSTALL}'
    INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
    LAME_LIBS=''
    LDFLAGS=''
    LIBOBJS=''
    LIBS=''
    LIBXML_CFLAGS=''
    LIBXML_LIBS=''
    LTLIBOBJS=''
    MAKEINFO='${SHELL} /var/lib/fuppes-0.5.4/missing --run makeinfo'
    MUSEPACK_LIBS=''
    OBJEXT='o'
    PACKAGE='fuppes'
    PACKAGE_BUGREPORT=''
    PACKAGE_NAME=''
    PACKAGE_STRING=''
    PACKAGE_TARNAME=''
    PACKAGE_VERSION=''
    PATH_SEPARATOR=':'
    PCRE_CFLAGS=''
    PCRE_LIBS=''
    PKG_CONFIG='/usr/bin/pkg-config'
    PTHREAD_LIBS=''
    SET_MAKE='MAKE=make'
    SHELL='/bin/sh'
    SQLITE3_CFLAGS=''
    SQLITE3_LIBS=''
    STRIP=''
    UUID_LIBS=''
    VERSION='0.5.4'
    VORBISFILE_CFLAGS=''
    VORBISFILE_LIBS=''
    ac_ct_CC='gcc'
    ac_ct_CXX='g++'
    am__fastdepCC_FALSE=''
    am__fastdepCC_TRUE='#'
    am__fastdepCXX_FALSE=''
    am__fastdepCXX_TRUE='#'
    am__include='#'
    am__leading_dot='.'
    am__quote=''
    am__tar='${AMTAR} chof - "$$tardir"'
    am__untar='${AMTAR} xf -'
    bindir='${exec_prefix}/bin'
    build_alias=''
    datadir='${datarootdir}'
    datarootdir='${prefix}/share'
    docdir='${datarootdir}/doc/${PACKAGE}'
    dvidir='${docdir}'
    exec_prefix='NONE'
    host_alias=''
    htmldir='${docdir}'
    includedir='${prefix}/include'
    infodir='${datarootdir}/info'
    install_sh='/var/lib/fuppes-0.5.4/install-sh'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localedir='${datarootdir}/locale'
    localstatedir='${prefix}/var'
    mandir='${datarootdir}/man'
    mkdir_p='mkdir -p --'
    oldincludedir='/usr/include'
    pdfdir='${docdir}'
    prefix='NONE'
    program_transform_name='s,x,x,'
    psdir='${docdir}'
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    sysconfdir='${prefix}/etc'
    target_alias=''

    ## ----------- ##
    ## confdefs.h. ##
    ## ----------- ##

    #define PACKAGE_NAME ""
    #define PACKAGE_TARNAME ""
    #define PACKAGE_VERSION ""
    #define PACKAGE_STRING ""
    #define PACKAGE_BUGREPORT ""

    configure: exit 1

    Ich würde mich freuen, wenn sich jemand meiner annimmt und sich einmal die config.log.txt anschaut, und mir vielleicht ein paar Tips geben könnte, damit ich fuppes (endlich) zum laufen bekommen.

    Vielen Dank schonmal im Voraus.

    Viele Grüsse

    thoschill

    p.s. apt-get update, apt-get upgrade und ein vdraptrefresh liefen alle ohne ein Problem durch - mein vdr ist auf dem aktuellen Stand.

     
    • Ulrich Völkel

      Ulrich Völkel - 2007-01-17

      Moin!

      Auf deinem System fehlt PCRE oder wird nicht gefunden. Ist eigentlich sehr unüblich, da nahezu jede Distribution diese Bibliothek mitliefert. Vielleicht ist deine Version auch nur zu alt.

      Prüfe mal bitte, ob "pkg-config" libpcre auflistet:
      $  pkg-config --list-all | grep 'libpcre'
      und wenn ja, welche version:
      $ pkg-config --modversion libpcre

      Die Version muss 5.0 oder größer sein. Also bei Bedarf nachinstallieren oder aktualisieren.

      Viel Erfolg. Gruß,
      Uli

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks